﻿using Microsoft.EntityFrameworkCore;

namespace WebApplication45.Data
{
    public class PersonContext : DbContext
    {
        public PersonContext(DbContextOptions<PersonContext> options) : base(options)
        {

        }
        public DbSet<Person> Persons { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            var personModel = modelBuilder.Entity<Person>();
            personModel.HasKey(p => p.Id);
            personModel.Property(p => p.Name).IsRequired().HasMaxLength(40);
        }
    }
}
